﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Windows.Forms;
using Infragistics.Win.UltraWinGrid;

namespace UltraGridDataBindingWithDataBase
{
    public partial class Form1 : Form
    {
        public Form1()
        {
            InitializeComponent();
            ultraGrid1.DisplayLayout.Override.CellClickAction = Infragistics.Win.UltraWinGrid.CellClickAction.RowSelect;
            ultraGrid2.DisplayLayout.Override.CellClickAction = Infragistics.Win.UltraWinGrid.CellClickAction.RowSelect;
            timer1.Enabled = true;
        }

        private void Form1_Load(object sender, EventArgs e)
        {
            this.dbItemsTableAdapter.Fill(this.testDataSet.dbItems);
        }

        private void ultraGrid2_AfterRowActivate(object sender, EventArgs e)
        {
               this.dbItemsTableAdapter1.FillByID(this.testDataSet1.dbItems, (int)ultraGrid2.ActiveRow.GetCellValue("ID"));
               ultraGrid1.Rows[0].Selected = true;
        }

        private void timer1_Tick(object sender, EventArgs e)
        {
            timer1.Enabled = false;
            dbItemsBindingSource.Position = dbItemsBindingSource.Position + 1;
            ultraGrid2.Rows[dbItemsBindingSource.Position].Activate();
            timer1.Enabled = true;
        }
    }
}
